Package io.vertx.reactivex.ext.auth.oauth2.providers

## Class FacebookAuth

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.providers.FacebookAuth

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class FacebookAuth
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Simplified factory to create an for Facebook.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<FacebookAuth>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FacebookAuth​(FacebookAuth delegate)` |
    `FacebookAuth​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OAuth2Auth` | `create​(Vertx vertx, String clientId, String clientSecret)` | Create a OAuth2Auth provider for Facebook
    `static OAuth2Auth` | `create​(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` | Create a OAuth2Auth provider for Facebook
    `boolean` | `equals​(Object o)` |
    `FacebookAuth` | `getDelegate()` |
    `int` | `hashCode()` |
    `static FacebookAuth` | `newInstance​(FacebookAuth arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<FacebookAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### FacebookAuth

          public FacebookAuth​(FacebookAuth delegate)

    - #### FacebookAuth

          public FacebookAuth​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public FacebookAuth getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static OAuth2Auth create​(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Facebook
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Facebook
        `clientSecret` - the client secret given to you by Facebook
      Returns:

    - #### create

          public static OAuth2Auth create​(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Facebook
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Facebook
        `clientSecret` - the client secret given to you by Facebook
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static FacebookAuth newInstance​(FacebookAuth arg)